<template>
    <div class="content__leftAnalitika">
        <page-form @submit="create"/>
    </div>
</template>

<script>
    import PageForm from "../components/pages/PageForm";
    import {mapGetters} from "vuex";
    import laravelValidationErrorParse from "../mixins/laravelValidationErrorParse";

	export default {
		name: "PageCreate",
        mixins: [laravelValidationErrorParse],
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
		    create(formData){
                this.axios
                    .post(`pages`, formData)
                    .then(resp => resp.data)
                    .then(data => {
                        if('success' === data.status){
                            this.$swal(this.$t('ui.success'));
                        }else{
                            this.$swal(this.$t('ui.error'), data.message, 'error')
                        }
                    })
                    .catch((error) => {
                        this.displayErrorsSwal(error);
                    });
            }
        },
        components: {
		    PageForm
        }
	}
</script>

<style scoped>

</style>
